đ Welcome to our revamped documentation featuring dedicated Business Logic and API sections with improved layoutsâplease remember to update your bookmarks as old links will no longer work!
curl --request POST \
--url 'https://{{baseUrl}}/amlyze-ws-rest/validate-batch-accounts' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accounts": [
{
"communicationNumber": "1b1e1c23-f62f-4338-90b9-8d54993dd2cd",
"requester": "SYSTEMX",
"businessUnit": "sandbox",
"businessEntityExtId": "ORG_IMPORT_B1_TEST",
"accountExtId": "accountExtId3",
"accountNumber": "LI9208800274335945522",
"accountStatus": "ACTIVE",
"currencyCode": "EUR",
"openingDate": "2023-09-05T08:07:34.605Z",
"bic": "AMLYZEXX22",
"isOtherFinInstAccount": true
},
{
"communicationNumber": "1b1e1c23-f62f-4338-90b9-8d54993dd2cd",
"requester": "SYSTEMX",
"businessUnit": "sandbox",
"businessEntityExtId": "ORG_C1_TEST",
"accountExtId": "accountExtId4",
"accountNumber": "LI9208800274335945523",
"accountStatus": "ACTIVE",
"currencyCode": "EUR",
"openingDate": "2023-09-05T08:07:34.605Z",
"bic": "SANDLT00XXX"
}
]
}
'{
"errorCode": "<string>",
"errorDescription": "<string>",
"results": [
{
"accountExtId": "<string>",
"businessUnit": "<string>",
"communicationNumber": "<string>",
"errorCode": "<string>",
"errorDescription": "<string>",
"resultType": "ERROR",
"timeElapsedMs": 123
}
],
"timeElapsedMs": 123
}This method sends data only for validating JSON.
curl --request POST \
--url 'https://{{baseUrl}}/amlyze-ws-rest/validate-batch-accounts' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accounts": [
{
"communicationNumber": "1b1e1c23-f62f-4338-90b9-8d54993dd2cd",
"requester": "SYSTEMX",
"businessUnit": "sandbox",
"businessEntityExtId": "ORG_IMPORT_B1_TEST",
"accountExtId": "accountExtId3",
"accountNumber": "LI9208800274335945522",
"accountStatus": "ACTIVE",
"currencyCode": "EUR",
"openingDate": "2023-09-05T08:07:34.605Z",
"bic": "AMLYZEXX22",
"isOtherFinInstAccount": true
},
{
"communicationNumber": "1b1e1c23-f62f-4338-90b9-8d54993dd2cd",
"requester": "SYSTEMX",
"businessUnit": "sandbox",
"businessEntityExtId": "ORG_C1_TEST",
"accountExtId": "accountExtId4",
"accountNumber": "LI9208800274335945523",
"accountStatus": "ACTIVE",
"currencyCode": "EUR",
"openingDate": "2023-09-05T08:07:34.605Z",
"bic": "SANDLT00XXX"
}
]
}
'{
"errorCode": "<string>",
"errorDescription": "<string>",
"results": [
{
"accountExtId": "<string>",
"businessUnit": "<string>",
"communicationNumber": "<string>",
"errorCode": "<string>",
"errorDescription": "<string>",
"resultType": "ERROR",
"timeElapsedMs": 123
}
],
"timeElapsedMs": 123
}Documentation Index
Fetch the complete documentation index at: https://api.amlyze.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes